Skip to content

Workspace: plan

View as Markdown

The plan in force and every entitlement it resolves to

Section titled “The plan in force and every entitlement it resolves to”

GET /v1/workspace/plan · operation getWorkspacePlan

Requires the batondeck:billing:read permission (action plan:read).

Responses

Status Meaning
200 The plan in force and every entitlement it resolves to
401 No portal session, and no live API key.
403 The policy refused, or the request was cross-site.
404 No such resource, or none this session may see.
200 response schema
{
"type": "object",
"properties": {
"plan": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
}
},
"required": [
"id",
"name"
],
"additionalProperties": false
},
"entitlements": {
"type": "array",
"items": {
"type": "object",
"properties": {
"key": {
"type": "string"
},
"value": {
"anyOf": [
{
"type": "number"
},
{
"type": "boolean"
},
{
"type": "array",
"items": {
"type": "string"
}
}
]
},
"source": {
"type": "string"
},
"expires_at": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
]
}
},
"required": [
"key",
"value",
"source",
"expires_at"
],
"additionalProperties": false
}
}
},
"required": [
"plan",
"entitlements"
],
"additionalProperties": false
}
Terminal window
curl -X GET 'https://api.batondeck.com/v1/workspace/plan' \
-H "Authorization: Bearer $BATONDECK_API_KEY"